Bug 128761 - gnome-session restarts apps in random workspaces
gnome-session restarts apps in random workspaces
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-28 22:37 EDT by Gene Wilson
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 17:34:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gene Wilson 2004-07-28 22:37:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040706 Firefox/0.9.1

Description of problem:
When logging into Gnome, the applications that had been open when I
logged out of Gnome restart in the wrong Workspaces.  This is very
noticable to me since i try to keep a separate workspace for each
project that I am working on with their associated applications. I
can't seem to find a pattern to it, applications seem to re-open in
different workspaces each time.  If I have time I'll try to experiment
more directly to see if I can find a clearer pattern.

Version-Release number of selected component (if applicable):
gnome-session-2.6.0-4

How reproducible:
Always

Steps to Reproduce:
1.Make sure that you haved multiple workspaces (I have four).
2.Open up multiple apps in different workspaces (Nautilus, gnome-term,etc)
3.Log out of Gnome
4.Re-log into Gnome
5.Observe what workspace the apps re-start in
    

Actual Results:  Apps open up in the wrong workspaces

Expected Results:  The should re-open in the same workspaces that they
were in when you logged out of gnome.

Additional info:
Comment 1 Gene Wilson 2004-07-28 22:54:10 EDT
I just did a little experimentation and found that this behavior seems
to only happen when I reboot and not when I just logout and log back in. 
Comment 2 Wei-Lun Chao 2004-12-01 21:57:08 EST
in my case, it works well with Nautilus and Gnome-terminal,
but Evolution will be opened always in first workspace,
and totally not work with firefox :(
Comment 3 Matthew Miller 2005-04-26 11:48:13 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 4 Ray Strode [halfline] 2005-05-11 17:34:57 EDT
Hi,

This bug is being closed because it has been in the NEEDINFO state for a long
time now.  Feel free to reopen the bug report if the problem still happens for
you and you can provide any information that was requested.

Note You need to log in before you can comment on or make changes to this bug.